* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: serif;
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: #E3F2FD;
}

/* 1rem = 16px */
.container {
    width: 30rem;
    height: 30rem;
    background: #293447;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    overflow: hidden;

}

.game-details {
    color: #fff;
    font-size: 1.2rem;
    font-weight: 500;
    padding: 20px 27px;
    display: flex;
    justify-content: space-between;
}

.play-board {
    width: 100%;
    height: 100%;
    /* background-color: red; */
    display: grid;
    /* creating grid with 30 rows ad 30 cols */
    grid-template: repeat(30, 1fr)/repeat(30, 1fr);
    background: #212837;
}

.play-board .food {
    background: #ff003d;
    /* border-radius: 50%; */
}

.play-board .head {
    background: #75afd9;
}

.controls {
    /* display: flex; */
    display: none;
    justify-content: space-between;
}

.controls i {
    padding: 25px 50px;
    color: #BBC6DC;
    text-align: center;
    cursor: pointer;
    font-size: 1.3rem;
    width: calc(100% / 4);
    border-right: 1px solid #171b26;
}

/* media-query */

@media screen and (max-width: 800px) {
    .container {
        width: 20rem;
        height: 20rem;
    }

    .game-details {
        font-size: 1rem;
        padding: 15px 27px;
    }

    .controls {
        display: flex;
    }

    .controls i {
        padding: 15px 33px;
        justify-content: space-between;
        font-size: 1rem;
    }
}